HttpShardHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.HttpShardHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class HttpShardHandler

    java.lang.Object
      org.apache.solr.handler.component.ShardHandler
          org.apache.solr.handler.component.HttpShardHandler

    public class HttpShardHandler

extends ShardHandler

Constructor Summary
`HttpShardHandler(HttpShardHandlerFactory httpShardHandlerFactory)`

Method Summary
`void` | `cancelAll()`
`void` | `checkDistributed(ResponseBuilder rb)`
`void` | `submit(ShardRequest sreq, String shard, ModifiableSolrParams params)`
`ShardResponse` | `takeCompletedOrError()` returns a ShardResponse of the last response correlated with a ShardRequest, or immediately returns a ShardResponse if there was an error detected

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpShardHandler

    public HttpShardHandler(HttpShardHandlerFactory httpShardHandlerFactory)

Method Detail

### submit

    public void submit(ShardRequest sreq,
                       String shard,
                       ModifiableSolrParams params)

  Specified by:
    `submit` in class `ShardHandler`

### takeCompletedOrError

    public ShardResponse takeCompletedOrError()

  returns a ShardResponse of the last response correlated with a ShardRequest, or immediately returns a ShardResponse if there was an error detected

  Specified by:
    `takeCompletedOrError` in class `ShardHandler`

### cancelAll

    public void cancelAll()

  Specified by:
    `cancelAll` in class `ShardHandler`

### checkDistributed

    public void checkDistributed(ResponseBuilder rb)

  Specified by:
    `checkDistributed` in class `ShardHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD